<?php

namespace Schaffen\Gef\Transformers;

use League\Fractal\TransformerAbstract;
use Schaffen\Gef\Models\AgendamentoVeiculoUso;
use Carbon\Carbon;

/**
 * Class AgendamentoVeiculoUsoTransformer.
 *
 * @package namespace Schaffen\Gef\Transformers;
 */
class AgendamentoVeiculoUsoShowTransformer extends TransformerAbstract
{
    /**
     * Transform the AgendamentoVeiculoUso entity.
     *
     * @param \Schaffen\Gef\Models\AgendamentoVeiculoUso $model
     *
     * @return array
     */
    public function transform(AgendamentoVeiculoUso $model)
    {


       $motorista = $model->motorista;
       $veiculo = $model->veiculo;

       if(!$model->agu_data_disponibilidade_inicial instanceof Carbon){
          $model->agu_data_disponibilidade_inicial = Carbon::createFromFormat('Y-m-d', $model->agu_data_disponibilidade_inicial);
       }

       if(!$model->agu_data_disponibilidade_final instanceof Carbon){
          $model->agu_data_disponibilidade_final = Carbon::createFromFormat('Y-m-d', $model->agu_data_disponibilidade_final);
       }
       if(!$model->agu_date_insert instanceof Carbon){
          $model->agu_date_insert = Carbon::createFromFormat('Y-m-d H:i:s', $model->agu_date_insert);
       }

        return [
            'codigo'                       => (int) $model->agu_codigo,
            'data_disponibilidade_inicial' => $model->agu_data_disponibilidade_inicial->format('d/m/Y'),
            'data_disponibilidade_final'   => $model->agu_data_disponibilidade_final->format('d/m/Y'),
            'observacao'                    => $model->agu_observacao,
            'motorista'                    => $motorista,
            'veiculo'                      => $veiculo,
            'user_insert'                  => $model->agu_user_insert,
            'date_insert'                  => $model->agu_date_insert->format('d/m/Y H:i:s'),

        ];
    }
}
